.btn {
    border: none;
    outline: none;
    cursor: pointer;
    height: rem(60);
    font-weight: 700;
    font-size: rem(14);
    line-height: rem(24);
    padding: rem(8) rem(24);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    border-radius: 40px;
    column-gap: rem(6);
    transition: .25s;

    &:hover {
        text-decoration: none;
        transition: .25s;
    }

    &:active {
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    span {
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(24);
    }

    @include media-breakpoint-up(md) {
        font-size: rem(16);
        padding: rem(8) rem(36);
        text-transform: uppercase;
    }
}

.btn-blue {
    color: white;
    background: var(--blue);

    &:hover {
        color: white;
        background: var(--blue-dark);
    }

    &:active {
        color: white;
        background: var(--blue);
    }
}

.btn-text {
    margin: 0;
    padding: 0;
    border: none;
    outline: none;
    cursor: pointer;
    background: transparent;
    color: black;
    font-size: rem(16);
    line-height: rem(16);
    fill: var(--blue);
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    column-gap: rem(10);
    transition: .25s;

    span {
        border-bottom: 1px solid rgba(0, 0, 0, 0.5);
        transition: .25s;
    }

    i {
        font-size: 0;
        line-height: 0;
        flex-shrink: 0;
        height: rem(18);
        display: inline-block;
    }

    &:hover {
        color: var(--blue);
        text-decoration: none;
        transition: .25s;

        span {
            border-bottom-color: transparent;
            transition: .25s;
        }
    }
}
